[Swift-commit] r5691 - SwiftApps/SciColSim

jonmon at ci.uchicago.edu jonmon at ci.uchicago.edu
Sun Feb 26 16:32:43 CST 2012


Author: jonmon
Date: 2012-02-26 16:32:42 -0600 (Sun, 26 Feb 2012)
New Revision: 5691

Modified:
   SwiftApps/SciColSim/getswift.sh
Log:
o updates to getswift to retrieve the mac compatable swift command from trunk -r5960
  also prints error messages if could not retrieve both mac compatable gensites and swift



Modified: SwiftApps/SciColSim/getswift.sh
===================================================================
--- SwiftApps/SciColSim/getswift.sh	2012-02-26 22:24:12 UTC (rev 5690)
+++ SwiftApps/SciColSim/getswift.sh	2012-02-26 22:32:42 UTC (rev 5691)
@@ -22,7 +22,18 @@
 
 tar zxf $tarfile
 
+echo "Retrieving updated gensites command for mac compatability"
 svn cat --revision 5636 https://svn.ci.uchicago.edu/svn/vdl2/trunk/bin/gensites > swift-0.93/bin/gensites
+if [ "$?" != 0 ]; then
+    echo "Failed to retrieve mac compatable gensites command, please update with the command"
+    echo "svn cat --revision 5636 https://svn.ci.uchicago.edu/svn/vdl2/trunk/bin/gensites > swift-0.93/bin/gensites"
+fi
+echo "Retrieving updated swift command for mac compatability"
+svn cat --revision 5690 https://svn.ci.uchicago.edu/svn/vdl2/trunk/bin/swift > swift-0.93/bin/swift
+if [ "$?" != 0 ]; then
+    echo "Failed to retrieve mac compatable swift command, please update with the command"
+    echo "svn cat --revision 5636 https://svn.ci.uchicago.edu/svn/vdl2/trunk/bin/swift > swift-0.93/bin/swift"
+fi
 
 echo
 echo Swift installed at $PWD/$release




More information about the Swift-commit mailing list